package math.fibo;

public class MainRahab{
	public static void main(String[] args) {
		int liczba1 = Integer.parseInt("1001100010", 2);
		int liczba2 = Integer.parseInt("110111", 2);
		int liczba3 = Integer.parseInt("1", 2);
		System.out.println(liczba1 + " + " + liczba2 + " + " + liczba3);
		int liczba4 = Integer.parseInt("10", 2);
		int liczba5 = Integer.parseInt("11", 2);
		int liczba6 = Integer.parseInt("11", 2);
		int liczba7 = Integer.parseInt("100101", 2);
		System.out.println(" = " + liczba4 + " x " + liczba5 + " x " + liczba6
				+ " x " + liczba7);
		int liczba8 = Integer.parseInt("1010011010", 2);
		System.out.println(" = " + liczba8);
		System.out.println("~(1010011010)");
		int liczba9 = Integer.parseInt("0101100101", 2);
		System.out.println("= " + liczba9);
		int liczba10 = Integer.parseInt("11", 2);
		int liczba11 = Integer.parseInt("111", 2);
		int liczba12 = Integer.parseInt("10001", 2);
		System.out.println(
				" = " + liczba10 + " x " + liczba11 + " x " + liczba12);
		int liczba13 = Integer.parseInt("11101001", 2);
		int liczba14 = Integer.parseInt("1011001", 2);
		int liczba15 = Integer.parseInt("100010", 2);
		int liczba16 = Integer.parseInt("1", 2);
		System.out.println(" = " + liczba13 + " + " + liczba14 + " + "
				+ liczba15 + " + " + liczba16);
	}
}
